Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
consultationedit.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $SiteDesign, $language, $year, $month, $day, $userID)
| addZero ( $value)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
if(isset( $new_consultation)) | $user =& eZUser::currentUser()
if(!is_a( $user, "eZUser")) if(!eZPermission::checkPermission( $user, "eZContact", "Consultation")) if(isset( $Action) && $Action=="delete" or isset( $Delete)) | $error = false
| $t
if( $Action=="insert"|| $Action=="update") if( $error==false) | else
if(! $user) | $userID = $user->ID()
if((isset( $Action) && $Action=="insert"||isset( $Action) && $Action=="update") && $error==false) if(isset( $Action) && $Action=="new") | $status_id = 0
| $groups = array()
| $group = new eZUserGroup()
| $group_list = $group->getAll()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 49 of file consultationedit.php.

References $ret.

## ◆ deleteCache()

deleteCache | ( |  | $SiteDesign,
|  |  | $language,
|  |  | $year,
|  |  | $month,
|  |  | $day,
|  |  | $userID
| ) |  |

Definition at line 40 of file consultationedit.php.

References eZPBFile\unlink().

## Variable Documentation

## ◆ $error

if (!is_a($user, "eZUser")) if (!eZPermission::checkPermission($user, "eZContact", "Consultation")) if (isset($Action) &&$Action=="delete" or isset($Delete)) $error = false

Definition at line 145 of file consultationedit.php.

## ◆ $group

$group = new eZUserGroup()

Definition at line 841 of file consultationedit.php.

## ◆ $group_list

$group_list = $group->getAll()

Definition at line 842 of file consultationedit.php.

## ◆ $groups

$groups = array()

Definition at line 536 of file consultationedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file consultationedit.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 34 of file consultationedit.php.

## ◆ $status_id

if ((isset($Action) &&$Action=="insert"||isset($Action) &&$Action=="update") &&$error==false) if (isset($Action) &&$Action=="new") $status_id = 0

Definition at line 535 of file consultationedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, "consultationedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: consultationedit.php:34
$ini
$ini
Definition: consultationedit.php:33

Definition at line 147 of file consultationedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 68 of file consultationedit.php.

## ◆ $userID

if (! $user) $userID = $user->ID()

Definition at line 300 of file consultationedit.php.

## ◆ else

if (count($types) > 0) else

Initial value:
{
$Action = "formdata"
$Action
$Action
Definition: companysearch.php:80

Definition at line 286 of file consultationedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.